/// <reference types="q" />
import * as plugins from "./smartnginx.plugins";
import { NginxConfig } from "./smartnginx.classes.nginxconfig";
/**
 * starts nginx
 */
export declare let start: (configArg: NginxConfig) => plugins.q.Promise<{}>;
/**
 * restarts nginx
 */
export declare let restart: (configArg: NginxConfig) => plugins.q.Promise<{}>;
/**
 * stops nginx
 */
export declare let stop: () => plugins.q.Promise<{}>;
/**
 * checks if nginx is in path
 */
export declare let check: () => boolean;
